Icons missing in Firefox searchbox drop down list (karmic)

Bug #432876 reported by antistress on 2009-09-19
86
This bug affects 16 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Fix Released
Medium
3.5
Fix Released
Undecided
Unassigned
firefox (Ubuntu)
Low
Unassigned
firefox-3.5 (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: firefox

Probably due to GNOME design decision to remove most icons in menus (Bug #407621) :
In the search box, the icon of the current search engine is displayed but if you look at the drop down list there is no icon !
The search engine drop down list should use the always-show-icons property of GtkImageMenuItem

Created an attachment (id=397040)
patch

Adds the search icons again.

Created an attachment (id=397085)
combined rules

antistress (antistress) wrote :

Binary package hint: firefox

Probably due to GNOME design decision to remove most icons in menus (Bug #407621) :
In the search box, the icon of the current search engine is displayed but if you look at the drop down list there is no icon !
The search engine drop down list should use the always-show-icons property of GtkImageMenuItem

Martin, you should ask a specific person for review. Dao could be the right one.

John Vivirito (gnomefreak) wrote :

Without knowing the version you are using of any package, i changed firefox to firefox-3.0.
we need output from the following commands:
lsb_release -a
uname -a
apt-cache policy firefox firefox-3.0 firefox-3.5 ubufox libgnome2-0
I am unable to reproduce this in firefox-3.5 from official repos nor from daily PPA packages

I dont think your problem is related to bug #407621 since you dont mention any other menu not having them.

affects: firefox (Ubuntu) → firefox-3.0 (Ubuntu)
Changed in firefox-3.0 (Ubuntu):
status: New → Incomplete
John Vivirito (gnomefreak) wrote :

Can you please attach a screenshot of the problem you are seeing.
does it just happen in firefox or gnome menus as well. This is assuming you are on gnome not kde or any other DE

antistress (antistress) wrote :

i'm using karmic alpha with GNOME new design decision

~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu karmic (development branch)
Release: 9.10
Codename: karmic

~$ uname -a
Linux tb-desktop 2.6.31-10-generic #34-Ubuntu SMP Wed Sep 16 00:23:19 UTC 2009 i686 GNU/Linux

~$ apt-cache policy firefox firefox-3.0 firefox-3.5 ubufox libgnome2-0
firefox:
  Installé : 3.5.3+build1+nobinonly-0ubuntu2
  Candidat : 3.5.3+build1+nobinonly-0ubuntu2
 Table de version :
 *** 3.5.3+build1+nobinonly-0ubuntu2 0
        500 http://fr.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
firefox-3.0:
  Installé : (aucun)
  Candidat : 3.0.14+build2+nobinonly-0ubuntu1
 Table de version :
     3.0.14+build2+nobinonly-0ubuntu1 0
        500 http://fr.archive.ubuntu.com karmic/universe Packages
firefox-3.5:
  Installé : 3.5.3+build1+nobinonly-0ubuntu2
  Candidat : 3.5.3+build1+nobinonly-0ubuntu2
 Table de version :
 *** 3.5.3+build1+nobinonly-0ubuntu2 0
        500 http://fr.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
ubufox:
  Installé : 0.8~b1-0ubuntu1
  Candidat : 0.8~b1-0ubuntu1
 Table de version :
 *** 0.8~b1-0ubuntu1 0
        500 http://fr.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
libgnome2-0:
  Installé : 2.27.5-0ubuntu1
  Candidat : 2.27.5-0ubuntu1
 Table de version :
 *** 2.27.5-0ubuntu1 0
        500 http://fr.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

Changed in firefox-3.0 (Ubuntu):
status: Incomplete → New
In , Dao (dao) wrote :

I think this belongs in searchbarBindings.css, since the menuitems are anonymous...

i have the same issue with firefox-3.5 in karmic beta.

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu karmic (development branch)
Release: 9.10
Codename: karmic

uname -a
Linux fsc 2.6.31-11-generic #38-Ubuntu SMP Fri Oct 2 11:55:55 UTC 2009 i686 GNU/Linux

apt-cache policy firefox firefox-3.0 firefox-3.5 ubufox libgnome2-0
firefox:
  Installed: 3.5.3+build1+nobinonly-0ubuntu3
  Candidate: 3.5.3+build1+nobinonly-0ubuntu3
  Version table:
 *** 3.5.3+build1+nobinonly-0ubuntu3 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
firefox-3.0:
  Installed: 3.0.14+build2+nobinonly-0ubuntu1
  Candidate: 3.0.14+build2+nobinonly-0ubuntu1
  Version table:
 *** 3.0.14+build2+nobinonly-0ubuntu1 0
        500 http://archive.ubuntu.com karmic/universe Packages
        100 /var/lib/dpkg/status
firefox-3.5:
  Installed: 3.5.3+build1+nobinonly-0ubuntu3
  Candidate: 3.5.3+build1+nobinonly-0ubuntu3
  Version table:
 *** 3.5.3+build1+nobinonly-0ubuntu3 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
ubufox:
  Installed: 0.8~b1-0ubuntu1
  Candidate: 0.8~b1-0ubuntu1
  Version table:
 *** 0.8~b1-0ubuntu1 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
libgnome2-0:
  Installed: 2.28.0-0ubuntu2
  Candidate: 2.28.0-0ubuntu2
  Version table:
 *** 2.28.0-0ubuntu2 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

unggnu (unggnu) wrote :

It seems a GTK issue because it doesn't happen in Kubuntu Karmic and even the system menu might be affected because there are no icons too.

unggnu (unggnu) wrote :

Ok, this is a duplicate of Bug #407621. After activating the Gnome option icons are there again in Firefox.
You just don't have to understand the Gnome developers :D

I just upgraded from Kubuntu 9.04 to Kubuntu Karmic last night, and am missing the icons for the searchbox as well. I do have a "few" random icons in some of the other menus (View - Fullscreen and status bar, and couple for Delicious addon that i installed), but everything else is blank. So it doesn't seam like just a gnome issue

Forlong (forlong) wrote :

The icons are back on my system after the latest updates, so this seems to be fixed now.

This was definitely not a duplicate of Bug #407621, though. I had this enabled before.

I don't really have a strong opinion. Assuming it works, that patch seems fine to me.

antistress (antistress) wrote :

I still don't see an icon on Karmic whereas i'm connecting to main server

Verified fixed with Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.3a1pre) Gecko/20091009 Minefield/3.7a1pre ID:20091009030724

Forlong (forlong) wrote :

Does anybody still have this problem? If not, I consider this fixed.

antistress (antistress) wrote :

bug is still pending for me

Wolfgang (wt-lists) wrote :

I upgraded from 9.04 to 9.10 a few days ago and have the same problem. I did a full dist-upgrade today, so firefox and libraries should be actual.

please see the screenshot enclosed!

...@mini:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu karmic (development branch)
Release: 9.10
Codename: karmic
...@mini:~$ uname -a
Linux mini 2.6.31-14-generic #47-Ubuntu SMP Thu Oct 15 02:08:08 UTC 2009 i686 GNU/Linux
...@mini:~$ apt-cache policy firefox firefox-3.0 firefox-3.5 ubufox libgnome2-0
firefox:
  Installiert: 3.5.3+build1+nobinonly-0ubuntu4
  Kandidat: 3.5.3+build1+nobinonly-0ubuntu4
  Versions-Tabelle:
 *** 3.5.3+build1+nobinonly-0ubuntu4 0
        500 http://at.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
firefox-3.0:
  Installiert: 3.0.14+build2+nobinonly-0ubuntu1
  Kandidat: 3.0.14+build2+nobinonly-0ubuntu1
  Versions-Tabelle:
 *** 3.0.14+build2+nobinonly-0ubuntu1 0
        500 http://at.archive.ubuntu.com karmic/universe Packages
        100 /var/lib/dpkg/status
firefox-3.5:
  Installiert: 3.5.3+build1+nobinonly-0ubuntu4
  Kandidat: 3.5.3+build1+nobinonly-0ubuntu4
  Versions-Tabelle:
 *** 3.5.3+build1+nobinonly-0ubuntu4 0
        500 http://at.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
ubufox:
  Installiert: 0.8-0ubuntu1
  Kandidat: 0.8-0ubuntu1
  Versions-Tabelle:
 *** 0.8-0ubuntu1 0
        500 http://at.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
libgnome2-0:
  Installiert: 2.28.0-0ubuntu2
  Kandidat: 2.28.0-0ubuntu2
  Versions-Tabelle:
 *** 2.28.0-0ubuntu2 0
        500 http://at.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

Wolfgang (wt-lists) wrote :

btw: shouldn't this bug be filed at firefox 3.5 instead of firefox 3.0?

John Vivirito (gnomefreak) wrote :

This is not likely to be fixed in 3.5 but that is latest we have in repos. 3.5 should only get security fixes and major bug fixes

affects: firefox-3.0 (Ubuntu) → firefox-3.5 (Ubuntu)
John Vivirito (gnomefreak) wrote :

I'm thising this is not a firefox bug but a gtk bug to be honest
Please install firefox-3.5-gnome-support and if using firefox-3.0 install firefox-3.0-gnome-support and let us know if this is gone.

John Vivirito (gnomefreak) wrote :

It also seems that not everyones bug is the same since 1 or 2 people fixed it by doing something and the others did not fix it.

Wolfgang (wt-lists) wrote :

firefox-3.5-gnome-support is/was already installed!

root@mini:~# apt-cache policy firefox-3.5-gnome-support
firefox-3.5-gnome-support:
  Installiert: 3.5.3+build1+nobinonly-0ubuntu4
  Kandidat: 3.5.3+build1+nobinonly-0ubuntu4
  Versions-Tabelle:
 *** 3.5.3+build1+nobinonly-0ubuntu4 0
        500 http://at.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

Wolfgang (wt-lists) wrote :

I also tried "firefox -safe-mode" to make sure there are no side affects from add-ons/plugins/whatever. Didn't help...

antistress (antistress) wrote :

i have already have firefox-3.5-gnome-support and bug is still pending for me

RainerT (tr-ml) wrote :

same here, missing icons in dropdown search box of ff.
latest updates from main server applied

Wolfgang (wt-lists) wrote :

Today (20.10.09) I did a fresh (clean) install of Ubuntu Netbook Remix 9.10 (beta) on a Netbook. The icons are also missing in the searchbox drop-down list. The installation have only these things in common:

- Ubuntu German language pack
- Mozilla Weave 0.7 Add-On
- Adblock plus

Could it be, that this bug has something to do with the language pack?

Adam Berenyi (adam-berenyi) wrote :

I do not have the german language pack installed at the moment, but I am still affected by the bug, so I don't think that there's a connection.

Adam Berenyi (adam-berenyi) wrote :

The problem no longer affects me with the newest updates installed.

apt-cache policy firefox
firefox:
  Installed: 3.5.3+build1+nobinonly-0ubuntu6
  Candidate: 3.5.3+build1+nobinonly-0ubuntu6
  Version table:
 *** 3.5.3+build1+nobinonly-0ubuntu6 0
        500 http://at.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

Wolfgang (wt-lists) wrote :

I've the same package version installed as Adam, but I still have no icons in the drop down list

Wolfgang (wt-lists) wrote :

I've the same versions installed as Adam, but still don't don't have any icons in the searchbox drop down list.

Wolfgang (wt-lists) wrote :

Live system 9.10 beta shows same effect (for me)!

Today I grabbed the latests 9.10 beta iso (ubuntu-9.10-beta-netbook-remix-i386.iso) installed it on a USB-stick and started the live system on a Asus Eee PC 901. I choose the default language English and started the Firefox browser, to my surprise I still got no icons in the searchbox drop down list.

I've an Intel graphics card (GM945/GM950) on both computers I've tested this, maybe that's the common ground?

David Tombs (dgtombs) wrote :

Does anyone that _doesn't_ have the bug (i.e., _does_ see the icons) have System -> Preferences -> Appearance unchecked, as is default?

I'm assuming that everyone who is not experiencing the issue (that is, everyone who does see the icons), has "Show icons in menus" checked under System -> Preferences -> Appearance. Does anyone who sees the icons have this unchecked, which is the default? (See bug #407621)

tags: added: menu-icons
David Tombs (dgtombs) on 2009-10-29
Changed in firefox-3.5 (Ubuntu):
status: New → Confirmed
Xavier Robin (jti-533g) wrote :

There are basically two ways of fixing this bug.
1) As stated before, under System -> Preferences -> Appearance check "Show icons in menus". After restarting Firefox, the icons should be there again.
2) If you don't want the icons in other applications, and you feel they are missing only in Firefox search bar, install the Stylish extension [1] and add the following as a new style:

 #search-popupset .menu-iconic-left {
     visibility: visible!important;
 }

note: remove "#search-popupset" if you want the icons in all Firefox menus.

I believe this is a bug in Firefox, which should be reported upstream. Firefox should display these icons even if "Show icons in menus" is unchecked. I opened it: https://bugzilla.mozilla.org/show_bug.cgi?id=525714

[1] https://addons.mozilla.org/fr/firefox/addon/2108

*** Bug 525714 has been marked as a duplicate of this bug. ***

It will probably not block, but bringing attention to drivers so we could get at least an approval for 1.9.2.

Alain (alain-picquenard) wrote :

Mozilla/5.0 (X11; U; Linux i686; pt-BR; rv:1.9.1.4) Gecko/20091028 Ubuntu/9.10 (karmic) Firefox/3.5.4

Henrik; the better way to bring it to drivers' attention is to email me a list of bugs that you think are safe for approval, along with quick rationale.

Verified fixed on 1.9.2 with Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2b3pre) Gecko/20091111 Namoroka/3.6b3pre ID:20091111033750

*** Bug 531370 has been marked as a duplicate of this bug. ***

Changed in firefox:
status: Unknown → Fix Released

*** Bug 534230 has been marked as a duplicate of this bug. ***

We see a couple of complains from users who run Firefox 3.5.x on a current Ubuntu release where those icons are not displayed. Can we get this fix into 1.9.1 to show all of the search engine icons again?

(From update of attachment 397085)
Requesting landing on 1.9.1 branch

Micah Gersten (micahg) wrote :

This has been fixed in Firefox 3.6 an we are attempting to get this in Firefox 3.5 as well.

Changed in firefox-3.5 (Ubuntu):
importance: Undecided → Low
status: Confirmed → Triaged
Changed in firefox:
milestone: none → 3.6
antistress (antistress) wrote :

i'm surprised to read taht this is fixed with Firefox 3.6

I'm running 3.5.7pre on Karmic from http://ppa.launchpad.net/ubuntu-mozilla-daily/ppa/ubuntu and bug is still there

OK
Thanks

On 12/13/09, antistress <email address hidden> wrote:
> i'm surprised to read taht this is fixed with Firefox 3.6
>
> I'm running 3.5.7pre on Karmic from http://ppa.launchpad.net/ubuntu-
> mozilla-daily/ppa/ubuntu and bug is still there
>
> --
> Icons missing in Firefox searchbox drop down list (karmic)
> https://bugs.launchpad.net/bugs/432876
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Mozilla Firefox Browser: Fix Released
> Status in “firefox-3.5” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: firefox
>
> Probably due to GNOME design decision to remove most icons in menus (Bug
> #407621) :
> In the search box, the icon of the current search engine is displayed but if
> you look at the drop down list there is no icon !
> The search engine drop down list should use the always-show-icons property
> of GtkImageMenuItem
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/firefox/+bug/432876/+subscribe
>

(From update of attachment 397085)
We're not going to take polish fixes on 1.9.1.

antistress (antistress) wrote :

oops actually it does work

(In reply to comment #17)
> (From update of attachment 397085 [details])
> We're not going to take polish fixes on 1.9.1.

FYI, the fix for bookmarks, which this fix depends on, has been pushed in 1.9.1.2...

(From update of attachment 397085)
Yeah, I think we should take this.

(From update of attachment 397085)
Approved for 1.9.1.8, a=dveditz for release-drivers

Micah Gersten (micahg) wrote :

Firefox will be the source for Firefox 3.6, so adding this task

Changed in firefox (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Adam Niedling (krychek) wrote :

I don't know if this is another effect of the same bug but my search engines got all mixed up in the drop down list on every computer I upgraded to Karmic.

Launchpad Janitor (janitor) wrote :
Download full text (9.6 KiB)

This bug was fixed in the package firefox - 3.6+nobinonly-0ubuntu1

---------------
firefox (3.6+nobinonly-0ubuntu1) lucid; urgency=low

  * New upstream release v3.6 (FIREFOX_3_6_RELEASE)
    + fix LP: #449744 - Firefox crashes when attempting to load Firebug 1.5
    + fix LP: #66015 - Duplicate spell checking dictionaries for every entry
    + fix LP: #132938 - tooltips dont work in sidebar
    + fix LP: #195698 - Password asked separately for each tab that requires it
                        (proxy)
    + fix LP: #239462 - tooltips disappear too fast
    + fix LP: #385816 - Resize corner grab stays visible after maximize
    + fix LP: #429476 - firefox crash on javascript page
    + fix LP: #432876 - Icons missing in Firefox searchbox drop down list
    + fix LP: #486284 - maxlength on input box can be overriden by autocomplete
    + fix LP: #501393 - Integrate Firefox notifications with notify-osd bling

  [ H. Montoliu <email address hidden> ]
  * fix LP: #361052 - firefox apport hook fails to retrieve pluginreg.dat file
  * update debian/apport/firefox-3.6.py - removed unused code and minor refactoring.

  [ Fabien Tassin <email address hidden> ]
  * Update the location of the upsteam branch now that 3.6/Namoroka has its own
    branch, and trunk moved on to 3.7
    - update debian/mozclient/firefox-3.6.conf
  * Use Namoroka instead of Shiretoko as brand name and use it for snapshots.
    Name it Namoroka in the Preferred Application UI too
    - update debian/firefox-3.6-shiretoko.desktop => debian/firefox-3.6-namoroka.desktop
    - update debian/firefox-3.6.xml
    - update debian/rules
  * Target the 'default' branch instead of tip
    - add debian/moz-rev.sh
    - update debian/mozclient/firefox-3.6.conf
  * Add firefox 3.6 to the list of Preferred Applications in Gnome
    - add debian/firefox-3.6.xml
    - update debian/firefox-3.6-gnome-support.install
  * Add ${misc:Depends} to all non-transitional packages, make firefox-3.6-dbg
    depend on firefox-3.6 with the exact same version, move -dbg packges to
    priority extra and add firefox-3.6-gnome-support-dbg
    - update debian/control
  * Update diverged patches:
    - update debian/patches/browser_branding.patch
    - update debian/patches/firefox-profilename
    - update debian/patches/ubuntu_bookmarks.patch
    - update debian/patches/lp185622_system_path_default_browser.patch
    - update debian/patches/dont_depend_on_nspr_sources.patch

  [ Alexander Sack <email address hidden> ]
  * add libnotify-dev to build-depends
    - update debian/control
  * add libiw-dev to build-depends to fix build failure
    - update debian/control
  * until we move searchplugins to a separate package provided only by the current default
    firefox, we need to make firefox-3.6 replace all the older firefox binary packages:
    firefox-3.5, firefox-3.2, firefox-3.1, firefox-3.0
    - update debian/control
  * implement MIN_SYS_DEPS approach that does not use system xulrunner
    and only a minimal set of system dependencies.
    + drop patches not required anymore:
      - delete debian/patches/dont_depend_on_nspr_sources.patch
      - update debian/patches/series
    + update browser directory provider...

Read more...

Changed in firefox (Ubuntu):
status: Triaged → Fix Released
madbiologist (me-again) wrote :

The fix has been approved for Gecko 1.9.1.8, which should mean Firefox 3.5.8.

Firefox 3.5.8 is currently undergoing QA and is scheduled for release on February 16, 2010.

Micah Gersten (micahg) wrote :

Adding note for 3.5.8 release

Verified fixed on 1.9.1 with Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.8pre) Gecko/20100128 Shiretoko/3.5.8pre

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox-3.5 - 3.5.8+build1+nobinonly-0ubuntu0.9.10.1

---------------
firefox-3.5 (3.5.8+build1+nobinonly-0ubuntu0.9.10.1) karmic-security; urgency=low

  * New upstream release v3.5.8 (FIREFOX_3_5_8_BUILD1)
    - see USN-896-1
    - fix LP: #432876 - Icons missing in Firefox searchbox drop down list
    - fix LP: #449744 - Firefox crashes when attempting to load Firebug 1.5
 -- Micah Gersten <email address hidden> Tue, 09 Feb 2010 22:31:06 -0600

Changed in firefox-3.5 (Ubuntu):
status: Triaged → Fix Released
mercedes (preciousa1237) on 2010-03-03
Changed in firefox-3.5 (Ubuntu):
status: Fix Released → Incomplete
Adam Niedling (krychek) wrote :

mercedes: please don't change the status without commenting why.

Changed in firefox-3.5 (Ubuntu):
status: Incomplete → Fix Released
mercedes (preciousa1237) on 2010-03-03
Changed in firefox-3.5 (Ubuntu):
assignee: nobody → mercedes (preciousa1237)
Micah Gersten (micahg) wrote :

@mercedes

Please don't assign yourself bugs unless you are working on them.

Changed in firefox-3.5 (Ubuntu):
assignee: mercedes (preciousa1237) → nobody

If this bug would ever regress, it will be highly visible. I don't think that it qualifies for a Litmus test.

Changed in firefox:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.